## grub-btrfs 4.11

=== Makefile ===
PKGNAME ?= grub-btrfs
PREFIX ?= /usr

INITCPIO ?= false
SYSTEMD ?= true
OPENRC ?= false

SHARE_DIR = $(DESTDIR)$(PREFIX)/share
LIB_DIR = $(DESTDIR)$(PREFIX)/lib
BIN_DIR = $(DESTDIR)$(PREFIX)/bin

.PHONY: install uninstall help

install:
	@if test "$(shell id -u)" != 0; then \
		echo "You are not root, run this target as root please."; \
		exit 1; \
	fi
	@install -Dm755 -t "$(DESTDIR)/etc/grub.d/" 41_snapshots-btrfs
	@install -Dm644 -t "$(DESTDIR)/etc/default/grub-btrfs/" config
	@# Systemd init system
	@if test "$(SYSTEMD)" = true; then \
		install -Dm644 -t "$(LIB_DIR)/systemd/system/" grub-btrfs.path; \
		install -Dm644 -t "$(LIB_DIR)/systemd/system/" grub-btrfs.service; \
	 fi
	@# OpenRC init system
	@if test "$(OPENRC)" = true; then \
		install -Dm744 -t "$(BIN_DIR)/" grub-btrfs-openrc; \
		install -Dm744 -t "$(DESTDIR)/etc/init.d/" grub-btrfsd; \
	 fi
	@# Arch Linux like distros only :
	@if test "$(INITCPIO)" = true; then \
		install -Dm644 "initramfs/Arch Linux/overlay_snap_ro-install" "$(LIB_DIR)/initcpio/install/grub-btrfs-overlayfs"; \
		install -Dm644 "initramfs/Arch Linux/overlay_snap_ro-hook" "$(LIB_DIR)/initcpio/hooks/grub-btrfs-overlayfs"; \
	 fi
	@install -Dm644 -t "$(SHARE_DIR)/licenses/$(PKGNAME)/" LICENSE
	@install -Dm644 -t "$(SHARE_DIR)/doc/$(PKGNAME)/" README.md
	@install -Dm644 "initramfs/readme.md" "$(SHARE_DIR)/doc/$(PKGNAME)/initramfs-overlayfs.md"

uninstall:
	@if test "$(shell id -u)" != 0; then \
		echo "You are not root, run this target as root please."; \
		exit 1; \
	fi
	@grub_dirname="$$(grep -oP '^[[:space:]]*GRUB_BTRFS_GRUB_DIRNAME=\K.*' "$(DESTDIR)/etc/default/grub-btrfs/config" | sed "s|\s*#.*||;s|(\s*\(.\+\)\s*)|\1|;s|['\"]||g")"; \
	 rm -f "$${grub_dirname:-/boot/grub}/grub-btrfs.cfg"
	@rm -f "$(DESTDIR)/etc/default/grub-btrfs/config"
	@rm -f "$(DESTDIR)/etc/grub.d/41_snapshots-btrfs"
	@rm -f "$(LIB_DIR)/systemd/system/grub-btrfs.path"
	@rm -f "$(LIB_DIR)/systemd/system/grub-btrfs.service"
	@rm -f "$(BIN_DIR)/grub-btrfs-openrc;"
	@rm -f "$(DESTDIR)/etc/init.d/grub-btrfsd;"
	@rm -f "$(LIB_DIR)/initcpio/install/grub-btrfs-overlayfs"
	@rm -f "$(LIB_DIR)/initcpio/hooks/grub-btrfs-overlayfs"
	@# Arch Linux UNlike distros only :
	@if test "$(INITCPIO)" != true && test -d "$(LIB_DIR)/initcpio"; then \
		rmdir --ignore-fail-on-non-empty "$(LIB_DIR)/initcpio/install" || :; \
		rmdir --ignore-fail-on-non-empty "$(LIB_DIR)/initcpio/hooks" || :; \
		rmdir --ignore-fail-on-non-empty "$(LIB_DIR)/initcpio" || :; \
	 fi
	@rm -f "$(SHARE_DIR)/doc/$(PKGNAME)/README.md"
	@rm -f "$(SHARE_DIR)/doc/$(PKGNAME)/initramfs-overlayfs.md"
	@rm -f "$(SHARE_DIR)/licenses/$(PKGNAME)/LICENSE"
	@rmdir --ignore-fail-on-non-empty "$(SHARE_DIR)/doc/$(PKGNAME)/" || :
	@rmdir --ignore-fail-on-non-empty "$(SHARE_DIR)/licenses/$(PKGNAME)/" || :
	@rmdir --ignore-fail-on-non-empty "$(DESTDIR)/etc/default/grub-btrfs" || :

help:
	@echo
	@echo "Usage: $(MAKE) [ <parameter>=<value> ... ] [ <action> ]"
	@echo
	@echo "  actions: install"
	@echo "           uninstall"
	@echo "           help"
	@echo
	@echo "  parameter | type | description                    | defaults"
	@echo "  ----------+------+--------------------------------+----------------------------"
	@echo "  DESTDIR   | path | install destination            | <unset>"
	@echo "  PREFIX    | path | system tree prefix             | '/usr'"
	@echo "  SHARE_DIR | path | shared data location           | '\$$(DESTDIR)\$$(PREFIX)/share'"
	@echo "  LIB_DIR   | path | system libraries location      | '\$$(DESTDIR)\$$(PREFIX)/lib'"
	@echo "  PKGNAME   | name | name of the ditributed package | 'grub-btrfs'"
	@echo "  INITCPIO  | bool | include mkinitcpio hook        | false"
	@echo "  SYSTEMD   | bool | include unit files             | true"
	@echo "  OPENRC    | bool | include OpenRc daemon          | false"
	@echo

=== debian/changelog ===
grub-btrfs (4.11-1~1siduction1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for siduction

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 06 Jan 2025 16:44:38 +0100

grub-btrfs (4.11-0kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Add ITP bugs in 4.11-0kali1.
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * ci: Disable piuparts since the install always fails in a container.

  [ Arnaud Rebillout ]
  * Drop comments and useless boilerplate in maintscripts
  * Ensure update-grub is installed before using it (thx ak-li1)
  * Update control file

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 06 Jan 2025 09:45:00 +0700

grub-btrfs (4.11-0kali2) kali-dev; urgency=medium

  * Depend on grub2-common not grub-common

 -- Steev Klimaszewski <steev@kali.org>  Tue, 01 Nov 2022 23:19:46 -0500

grub-btrfs (4.11-0kali1) kali-dev; urgency=medium

  * Initial release. Closes: #941627

 -- Carsten Boeving <re4son@kali.org>  Fri, 04 Feb 2022 17:55:12 +0700

=== debian/control ===
Source: grub-btrfs
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Carsten Boeving <re4son@kali.org>, Arnaud Rebillout <arnaudr@kali.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://github.com/Antynea/grub-btrfs
Vcs-Git: https://gitlab.com/kalilinux/packages/grub-btrfs.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/grub-btrfs

Package: grub-btrfs
Architecture: all
Depends: ${misc:Depends}, btrfs-progs, grub2-common, gawk
Description: adds btrfs snapshots to the grub menu
 This package improves the grub bootloader by adding a btrfs snapshots
 sub-menu, allowing the user to boot into snapshots.

## grub-btrfs 4.11+git20220216.1.3dc1d89

=== debian/changelog ===
grub-btrfs (4.11+git20220216.1.3dc1d89-0kali1~jan+nus1) kali-bleeding-edge; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Fri, 18 Feb 2022 17:02:01 -0000

=== debian/control ===
Source: grub-btrfs
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Carsten Boeving <re4son@kali.org>, Arnaud Rebillout <arnaudr@kali.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/Antynea/grub-btrfs
Vcs-Git: https://gitlab.com/kalilinux/packages/grub-btrfs.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/grub-btrfs

Package: grub-btrfs
Architecture: all
Depends: ${misc:Depends}, btrfs-progs, grub-common, gawk
Description: Adds "btrfs snapshots" to the grub menu
 This package improves grub by adding "btrfs snapshots" to the grub menu

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=none

override_dh_auto_install:
	install -D -m 0755 41_snapshots-btrfs debian/grub-btrfs/etc/grub.d/41_snapshots-btrfs
	install -D -m 0644 config debian/grub-btrfs/etc/default/grub-btrfs/config
	# Remove the shebang, this file is meant to be sourced
	sed -i '1 s/^#!.*//' debian/grub-btrfs/etc/default/grub-btrfs/config

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
      https://github.com/Antynea/grub-btrfs/tags \
      (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## grub-btrfs 4.12

=== Makefile ===
--- 
+++ 
@@ -8,36 +8,64 @@
 SHARE_DIR = $(DESTDIR)$(PREFIX)/share
 LIB_DIR = $(DESTDIR)$(PREFIX)/lib
 BIN_DIR = $(DESTDIR)$(PREFIX)/bin
+MAN_DIR = $(SHARE_DIR)/man
 
-.PHONY: install uninstall help
+TEMP_DIR = ./temp
+
+.PHONY: install uninstall clean help
 
 install:
 	@if test "$(shell id -u)" != 0; then \
 		echo "You are not root, run this target as root please."; \
 		exit 1; \
 	fi
+	@echo "					     	   Installing "
+	@echo
+	@echo "       ::::::::  :::::::::  :::    ::: :::::::::               ::::::::: ::::::::::: :::::::::  :::::::::: ::::::::      "
+	@echo "      :+:    :+: :+:    :+: :+:    :+: :+:    :+:              :+:    :+:    :+:     :+:    :+: :+:       :+:    :+:     "
+	@echo "     +:+        +:+    +:+ +:+    +:+ +:+    +:+              +:+    +:+    +:+     +:+    +:+ +:+       +:+             "
+	@echo "    :#:        +#++:++#:  +#+    +:+ +#++:++#+ +#++:++#++:++ +#++:++#+     +#+     +#++:++#:  :#::+::#  +#++:++#++       "
+	@echo "   +#+   +#+# +#+    +#+ +#+    +#+ +#+    +#+              +#+    +#+    +#+     +#+    +#+ +#+              +#+        "
+	@echo "  #+#    #+# #+#    #+# #+#    #+# #+#    #+#              #+#    #+#    #+#     #+#    #+# #+#       #+#    #+#         "
+	@echo "  ########  ###    ###  ########  #########               #########     ###     ###    ### ###        ########           "
+	@echo
+	@echo "  For further information visit https://github.com/Antynea/grub-btrfs or read the man page: 'man grub-btrfs'"
+	@echo
+	@mkdir "${TEMP_DIR}"
+	@chmod 777 ${TEMP_DIR}
+	@cp manpages/grub-btrfs.8.man ${TEMP_DIR}/grub-btrfs.8
+	@bzip2 ${TEMP_DIR}/grub-btrfs.8
+	@install -Dm644 -t "${MAN_DIR}/man8" "${TEMP_DIR}/grub-btrfs.8.bz2"
+	@cp manpages/grub-btrfsd.8.man ${TEMP_DIR}/grub-btrfsd.8
+	@bzip2 ${TEMP_DIR}/grub-btrfsd.8
+	@install -Dm644 -t "${MAN_DIR}/man8" "${TEMP_DIR}/grub-btrfsd.8.bz2";
 	@install -Dm755 -t "$(DESTDIR)/etc/grub.d/" 41_snapshots-btrfs
 	@install -Dm644 -t "$(DESTDIR)/etc/default/grub-btrfs/" config
+	@install -Dm744 -t "$(BIN_DIR)/" grub-btrfsd;
 	@# Systemd init system
 	@if test "$(SYSTEMD)" = true; then \
-		install -Dm644 -t "$(LIB_DIR)/systemd/system/" grub-btrfs.path; \
-		install -Dm644 -t "$(LIB_DIR)/systemd/system/" grub-btrfs.service; \
+		echo "Installing systemd .service file"; \
+		install -Dm644 -t "$(LIB_DIR)/systemd/system/" grub-btrfsd.service; \
 	 fi
 	@# OpenRC init system
 	@if test "$(OPENRC)" = true; then \
-		install -Dm744 -t "$(BIN_DIR)/" grub-btrfs-openrc; \
-		install -Dm744 -t "$(DESTDIR)/etc/init.d/" grub-btrfsd; \
+		echo "Installing openRC init.d & conf.d file"; \
+		install -Dm744 grub-btrfsd.initd "$(DESTDIR)/etc/init.d/grub-btrfsd"; \
+		install -Dm644 grub-btrfsd.confd "$(DESTDIR)/etc/conf.d/grub-btrfsd"; \
 	 fi
 	@# Arch Linux like distros only :
 	@if test "$(INITCPIO)" = true; then \
+		echo "Installing initcpio hook"; \
 		install -Dm644 "initramfs/Arch Linux/overlay_snap_ro-install" "$(LIB_DIR)/initcpio/install/grub-btrfs-overlayfs"; \
 		install -Dm644 "initramfs/Arch Linux/overlay_snap_ro-hook" "$(LIB_DIR)/initcpio/hooks/grub-btrfs-overlayfs"; \
 	 fi
 	@install -Dm644 -t "$(SHARE_DIR)/licenses/$(PKGNAME)/" LICENSE
 	@install -Dm644 -t "$(SHARE_DIR)/doc/$(PKGNAME)/" README.md
 	@install -Dm644 "initramfs/readme.md" "$(SHARE_DIR)/doc/$(PKGNAME)/initramfs-overlayfs.md"
+	@rm -rf "${TEMP_DIR}"
 
 uninstall:
+	@echo "Uninstalling grub-btrfs"
 	@if test "$(shell id -u)" != 0; then \
 		echo "You are not root, run this target as root please."; \
 		exit 1; \
@@ -46,12 +74,14 @@
 	 rm -f "$${grub_dirname:-/boot/grub}/grub-btrfs.cfg"
 	@rm -f "$(DESTDIR)/etc/default/grub-btrfs/config"
 	@rm -f "$(DESTDIR)/etc/grub.d/41_snapshots-btrfs"
-	@rm -f "$(LIB_DIR)/systemd/system/grub-btrfs.path"
-	@rm -f "$(LIB_DIR)/systemd/system/grub-btrfs.service"
-	@rm -f "$(BIN_DIR)/grub-btrfs-openrc;"
+	@rm -f "$(LIB_DIR)/systemd/system/grub-btrfsd.service"
+	@rm -f "$(BIN_DIR)/grub-btrfsd;"
 	@rm -f "$(DESTDIR)/etc/init.d/grub-btrfsd;"
+	@rm -f "$(DESTDIR)/etc/conf.d/grub-btrfsd;"
 	@rm -f "$(LIB_DIR)/initcpio/install/grub-btrfs-overlayfs"
 	@rm -f "$(LIB_DIR)/initcpio/hooks/grub-btrfs-overlayfs"
+	@rm -f "$(MAN_DIR)/man8/grub-btrfs.8.bz2"
+	@rm -f "$(MAN_DIR)/man8/grub-btrfsd.8.bz2"
 	@# Arch Linux UNlike distros only :
 	@if test "$(INITCPIO)" != true && test -d "$(LIB_DIR)/initcpio"; then \
 		rmdir --ignore-fail-on-non-empty "$(LIB_DIR)/initcpio/install" || :; \
@@ -65,9 +95,14 @@
 	@rmdir --ignore-fail-on-non-empty "$(SHARE_DIR)/licenses/$(PKGNAME)/" || :
 	@rmdir --ignore-fail-on-non-empty "$(DESTDIR)/etc/default/grub-btrfs" || :
 
+clean:
+	@echo "Deleting ./temp"
+	@rm -rf "${TEMP_DIR}"
+
 help:
 	@echo
 	@echo "Usage: $(MAKE) [ <parameter>=<value> ... ] [ <action> ]"
+	@echo "Example: $(MAKE) OPENRC=true SYSTEMD=false install"
 	@echo
 	@echo "  actions: install"
 	@echo "           uninstall"

=== debian/changelog ===
grub-btrfs (4.12-0kali1~jan+nur1) kali-experimental; urgency=low

  [ Kali Janitor ]
  * New upstream release.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Thu, 24 Nov 2022 23:07:36 -0000

=== debian/control ===
Source: grub-btrfs
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Carsten Boeving <re4son@kali.org>, Arnaud Rebillout <arnaudr@kali.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/Antynea/grub-btrfs
Vcs-Git: https://gitlab.com/kalilinux/packages/grub-btrfs.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/grub-btrfs

Package: grub-btrfs
Architecture: all
Depends: ${misc:Depends}, btrfs-progs, grub2-common, gawk
Description: Adds "btrfs snapshots" to the grub menu
 This package improves grub by adding "btrfs snapshots" to the grub menu

## grub-btrfs 4.13

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,19 @@
 SYSTEMD ?= true
 OPENRC ?= false
 
+BOOT_DIR_DEBIAN ?= /boot/grub
+BOOT_DIR_FEDORA ?= /boot/grub2
+
+GRUB_UPDATE_EXCLUDE ?= false
+INSTALL_DOCS ?= true
+
 SHARE_DIR = $(DESTDIR)$(PREFIX)/share
 LIB_DIR = $(DESTDIR)$(PREFIX)/lib
 BIN_DIR = $(DESTDIR)$(PREFIX)/bin
 MAN_DIR = $(SHARE_DIR)/man
 
 TEMP_DIR = ./temp
+
 
 .PHONY: install uninstall clean help
 
@@ -31,14 +38,20 @@
 	@echo
 	@echo "  For further information visit https://github.com/Antynea/grub-btrfs or read the man page: 'man grub-btrfs'"
 	@echo
+	@rm -rf "${TEMP_DIR}"
 	@mkdir "${TEMP_DIR}"
 	@chmod 777 ${TEMP_DIR}
 	@cp manpages/grub-btrfs.8.man ${TEMP_DIR}/grub-btrfs.8
-	@bzip2 ${TEMP_DIR}/grub-btrfs.8
-	@install -Dm644 -t "${MAN_DIR}/man8" "${TEMP_DIR}/grub-btrfs.8.bz2"
+	@if test "$(INSTALL_DOCS)" = true; then \
+		echo "Installing manpages..."; \
+		bzip2 ${TEMP_DIR}/grub-btrfs.8; \
+		install -Dm644 -t "${MAN_DIR}/man8" "${TEMP_DIR}/grub-btrfs.8.bz2"; \
+	fi
 	@cp manpages/grub-btrfsd.8.man ${TEMP_DIR}/grub-btrfsd.8
-	@bzip2 ${TEMP_DIR}/grub-btrfsd.8
-	@install -Dm644 -t "${MAN_DIR}/man8" "${TEMP_DIR}/grub-btrfsd.8.bz2";
+	@if test "$(INSTALL_DOCS)" = true; then \
+		bzip2 ${TEMP_DIR}/grub-btrfsd.8; \
+		install -Dm644 -t "${MAN_DIR}/man8" "${TEMP_DIR}/grub-btrfsd.8.bz2"; \
+	fi
 	@install -Dm755 -t "$(DESTDIR)/etc/grub.d/" 41_snapshots-btrfs
 	@install -Dm644 -t "$(DESTDIR)/etc/default/grub-btrfs/" config
 	@install -Dm744 -t "$(BIN_DIR)/" grub-btrfsd;
@@ -59,10 +72,20 @@
 		install -Dm644 "initramfs/Arch Linux/overlay_snap_ro-install" "$(LIB_DIR)/initcpio/install/grub-btrfs-overlayfs"; \
 		install -Dm644 "initramfs/Arch Linux/overlay_snap_ro-hook" "$(LIB_DIR)/initcpio/hooks/grub-btrfs-overlayfs"; \
 	 fi
-	@install -Dm644 -t "$(SHARE_DIR)/licenses/$(PKGNAME)/" LICENSE
-	@install -Dm644 -t "$(SHARE_DIR)/doc/$(PKGNAME)/" README.md
-	@install -Dm644 "initramfs/readme.md" "$(SHARE_DIR)/doc/$(PKGNAME)/initramfs-overlayfs.md"
-	@rm -rf "${TEMP_DIR}"
+	@if test "$(INSTALL_DOCS)" = true; then \
+		echo "Installing docs..."; \
+		install -Dm644 -t "$(SHARE_DIR)/licenses/$(PKGNAME)/" LICENSE; \
+		install -Dm644 -t "$(SHARE_DIR)/doc/$(PKGNAME)/" README.md; \
+		install -Dm644 "initramfs/readme.md" "$(SHARE_DIR)/doc/$(PKGNAME)/initramfs-overlayfs.md"; \
+	fi
+	@if command -v grub-mkconfig > /dev/null && [ -e "$(BOOT_DIR_DEBIAN)/grub.cfg" ] && test "$(GRUB_UPDATE_EXCLUDE)" = false; then \
+		echo "Updating the GRUB menu..."; \
+		grub-mkconfig -o "$(BOOT_DIR_DEBIAN)/grub.cfg"; \
+	 fi
+	@if command -v grub2-mkconfig > /dev/null && [ -e "$(BOOT_DIR_FEDORA)/grub.cfg" ] && test "$(GRUB_UPDATE_EXCLUDE)" = false; then \
+		echo "Updating the GRUB menu..."; \
+		grub2-mkconfig -o "$(BOOT_DIR_FEDORA)/grub.cfg"; \
+	fi
 
 uninstall:
 	@echo "Uninstalling grub-btrfs"
@@ -94,6 +117,14 @@
 	@rmdir --ignore-fail-on-non-empty "$(SHARE_DIR)/doc/$(PKGNAME)/" || :
 	@rmdir --ignore-fail-on-non-empty "$(SHARE_DIR)/licenses/$(PKGNAME)/" || :
 	@rmdir --ignore-fail-on-non-empty "$(DESTDIR)/etc/default/grub-btrfs" || :
+	@if command -v grub-mkconfig > /dev/null && [ -e "$(BOOT_DIR_DEBIAN)/grub.cfg" ] && test "$(GRUB_UPDATE_EXCLUDE)" = false; then \
+                echo "Updating the GRUB menu..."; \
+                grub-mkconfig -o "$(BOOT_DIR_DEBIAN)/grub.cfg"; \
+         fi
+	@if command -v grub2-mkconfig > /dev/null && [ -e "$(BOOT_DIR_FEDORA)/grub.cfg" ] && test "$(GRUB_UPDATE_EXCLUDE)" = false; then \
+		echo "Updating the GRUB menu..."; \
+		grub2-mkconfig -o "$(BOOT_DIR_FEDORA)/grub.cfg"; \
+	fi
 
 clean:
 	@echo "Deleting ./temp"
@@ -108,14 +139,17 @@
 	@echo "           uninstall"
 	@echo "           help"
 	@echo
-	@echo "  parameter | type | description                    | defaults"
-	@echo "  ----------+------+--------------------------------+----------------------------"
-	@echo "  DESTDIR   | path | install destination            | <unset>"
-	@echo "  PREFIX    | path | system tree prefix             | '/usr'"
-	@echo "  SHARE_DIR | path | shared data location           | '\$$(DESTDIR)\$$(PREFIX)/share'"
-	@echo "  LIB_DIR   | path | system libraries location      | '\$$(DESTDIR)\$$(PREFIX)/lib'"
-	@echo "  PKGNAME   | name | name of the ditributed package | 'grub-btrfs'"
-	@echo "  INITCPIO  | bool | include mkinitcpio hook        | false"
-	@echo "  SYSTEMD   | bool | include unit files             | true"
-	@echo "  OPENRC    | bool | include OpenRc daemon          | false"
+	@echo "  parameter           | type | description                                           | defaults"
+	@echo "  --------------------+------+-------------------------------------------------------+----------------------------"
+	@echo "  DESTDIR             | path | install destination                                   | <unset>"
+	@echo "  PREFIX              | path | system tree prefix                                    | '/usr'"
+	@echo "  BOOT_DIR_DEBIAN     | path | boot data location (Debian, Ubuntu, Gentoo, Arch...)  | '/boot/grub'"
+	@echo "  BOOT_DIR_FEDORA     | path | boot data location (Fedora, RHEL, CentOS, Rocky...)   | '/boot/grub2'"
+	@echo "  SHARE_DIR           | path | shared data location                                  | '\$$(DESTDIR)\$$(PREFIX)/share'"
+	@echo "  LIB_DIR             | path | system libraries location                             | '\$$(DESTDIR)\$$(PREFIX)/lib'"
+	@echo "  PKGNAME             | name | name of the ditributed package                        | 'grub-btrfs'"
+	@echo "  INITCPIO            | bool | include mkinitcpio hook                               | false"
+	@echo "  SYSTEMD             | bool | include unit files                                    | true"
+	@echo "  OPENRC              | bool | include OpenRc daemon                                 | false"
+	@echo "  GRUB_UPDATE_EXCLUDE | bool | Do not update grub after installation                 | false"
 	@echo

=== debian/changelog ===
grub-btrfs (4.13-gsd1) stable; urgency=medium

  * New upstream version

 -- Maciej Krawiec <142805+mkrawiec@users.noreply.github.com>  Wed, 03 Sep 2025 18:50:17 +0200

grub-btrfs (4.12-gsd1) stable; urgency=medium

  * Import as debian-gsd pacakge
  * Update upstream version

 -- Maciek Krawiec <142805+mkrawiec@users.noreply.github.com>  Mon, 06 Mar 2023 22:59:36 +0100

=== debian/control ===
Source: grub-btrfs
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Carsten Boeving <re4son@kali.org>, Arnaud Rebillout <arnaudr@kali.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/Antynea/grub-btrfs
Vcs-Git: https://gitlab.com/kalilinux/packages/grub-btrfs.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/grub-btrfs

Package: grub-btrfs
Architecture: all
Depends: ${misc:Depends}, btrfs-progs, grub2-common, gawk, inotify-tools
Description: Adds "btrfs snapshots" to the grub menu
 This package improves grub by adding "btrfs snapshots" to the grub menu

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 
 override_dh_auto_install:
 	install -D -m 0755 41_snapshots-btrfs debian/grub-btrfs/etc/grub.d/41_snapshots-btrfs
+	install -D -m 0755 grub-btrfsd debian/grub-btrfs/bin/grub-btrfsd
 	install -D -m 0644 config debian/grub-btrfs/etc/default/grub-btrfs/config
 	# Remove the shebang, this file is meant to be sourced
 	sed -i '1 s/^#!.*//' debian/grub-btrfs/etc/default/grub-btrfs/config
+	sed -i '1 s;^#!/bin/sh;#!/usr/bin/bash;' debian/grub-btrfs/bin/grub-btrfsd
+
+override_dh_installsystemd:
+	dh_installsystemd --name=grub-btrfsd

=== debian/watch ===
Version: 5

Source: https://github.com/Antynea/grub-btrfs/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
